using System;
class Program
{
    static void Main()
    {
        int n = Convert.ToInt32(Console.ReadLine());
        HashSet<int> s = new HashSet<int>();
        int max = 2 * n;
        int min = 1;


        if (n > 5)
        {
            return;
        }
        else
        {
            if (n == 3)
                Console.WriteLine(9);
            else if (n % 2 == 0)
            {

                Console.WriteLine(16);
            }

        }


    }
}